/// <reference types="node" />
import { PromiseWithSubtest, TAP } from '@tapjs/core';
import type { BuiltPlugins, Test, TestOpts } from '@tapjs/test';
export { Base, Counts, Lists, Spawn, Stdin, TestBase, Worker, } from '@tapjs/core';
export { Test } from '@tapjs/test';
export type { TestOpts } from '@tapjs/test';
export type { TAP };
export declare const t: TAP;
export declare const plan: (n: number, comment?: string | undefined) => void;
type SubtestMethod = {
    (name: string, extra: TestOpts, cb: (t: Test<BuiltPlugins, TestOpts> & BuiltPlugins) => any): PromiseWithSubtest<Test<BuiltPlugins, TestOpts> & BuiltPlugins>;
    (name: string, cb: (t: Test<BuiltPlugins, TestOpts> & BuiltPlugins) => any): PromiseWithSubtest<Test<BuiltPlugins, TestOpts> & BuiltPlugins>;
    (extra: TestOpts, cb: (t: Test<BuiltPlugins, TestOpts> & BuiltPlugins) => any): PromiseWithSubtest<Test<BuiltPlugins, TestOpts> & BuiltPlugins>;
    (cb: (t: Test<BuiltPlugins, TestOpts> & BuiltPlugins) => any): PromiseWithSubtest<Test<BuiltPlugins, TestOpts> & BuiltPlugins>;
};
export declare const test: SubtestMethod;
export declare const skip: SubtestMethod;
export declare const todo: SubtestMethod;
export declare const bailout: (message?: string | undefined) => void;
export declare const comment: (...args: any[]) => void;
export declare const timeout: (options?: {
    expired?: string | undefined;
    signal?: NodeJS.Signals | null | undefined;
} | undefined) => void;
export declare const pragma: (set: {
    [k: string]: boolean;
}) => void;
export declare const pass: (...[msg, extra]: import("@tapjs/core").MessageExtra) => boolean;
export declare const fail: (...[msg, extra]: import("@tapjs/core").MessageExtra) => boolean;
export declare const end: () => TAP;
//# sourceMappingURL=index.d.ts.map